##  [10.0.xxxxx.327] - 2021-04-30
### Added
-   RPL Platform Support Added

##  [10.0.xxxxx.306] - 2021-01-25
### Added
-   MTL-M Platform Support Added
-   ITH Driver Optimization changes applied
-   RS1 Compatible ITH Driver
-   Microsoft VS 2019 compatible driver
-   20H2 build
-   Capturing of Kernel driver Debug prints in to ITH Driver
-   WPP/MOF Tracing support enablement
-   ITHDriver Restore capturing on Kernel Debug prints in Powercycle scenarios

### Fixed
-   BSOD Crash due to race conditions in Debug trace callbacks in ITH Driver
-   Registering ITH ETW provider with the new SS-compliant AddEventProvider INF directive
-   RedirectService Exception Error [jira# DEBGGR-11750]
-   Trace redirect service does not stop after target agent is disconnected [Jira# DEBGGR-12039]

##  [10.0.xxxxx.266] - 2020-09-25
### Added
-   EventWrite Trace optimization added.
-   ITH Driver Security model updated to have access from non-admin users.  
-   Added component id and level information to mip-syst srtucture in Debugtracecallback
### Fixed
-   Memory leaks in Redirectservice while enabling all providers have been fixed
-   There's a upper limit of max 400 MB , set for capturing traces in to internal queues.
-   DirectIO write has been set to 16 MB , hence to avoid consuming too many messages in to queues.     
-   Setting multiple Debug Trace Call back has been fixed in ITH driver.
-   KW Issues fixed

##  [10.0.xxxxx.208] - 2020-06-22
### Changed
-   CVF ,ACE ,PSE GUIDS updated. ( Provider names updated as VSC)
### Fixed
-   KW Errors,Warnings Fixed.

##  [10.0.xxxxx.202] - 2020-06-16
### Added
-   ETWCapture Application File info and copy right details added.
### Changed
-   Removed Generic Installer Setup. The Driver can be installed with inf file going forward.
-   CVF ,ACE ,PSE GUIDS updated.

##  [10.0.xxxxx.186] - 2020-06-05
### Added
-   ADL-P Platform Support Added in ITH Device
-   DebugOutput IOCTLS are updated with parameters in ITH Driver
-   FHF Platform Support Added in ITH Device (CPU,PCH)
### Fixed
-   20-H1 HLK issues fixed
-   ITHUninstaller issue fixed for 20H1

##  [10.0.xxxxx.177] - 2020-05-12
### Added
-   Enabled capturing of ETW/ACE/CVF/PSE Traces in ITH driver with NPK path.
-   Enabled capturing of ETW/ACE/CVF/PSE Traces in file with non-NPK path.
-   Enabled Local host to be able to connect to redirect service and capture traces.
-   Added NPK standalone exe (ETWCapture) application to capture ETW/ACE/CVF/PSE traces in file.
-   SDL Development Tasks and supported SDL Testing Tasks completed for ETWCapture Application
-   Added 20H1 Build
### Changed
-   RedirectService IP check has been changed. RedirectService will continue to run with
    any IP Address in the target system, but Only the Localhost or the Host system with 
    ip address 169.*.*.* is allowed to connect to the service.

##  [10.0.xxxxx.149] - 2020-03-12
### Added
-   MIPI-Syst changes for ETW Traces integrated into ITH Driver
### Changed
-   Timestamp changes done , which time in traces updated to be taken from ETW Traces 
    Not to be generated from Driver as done in previous version of driver.

##  [10.0.xxxxx.145] - 2020-02-24
### Fixed
-   SDL validation Test Fixes:
-	    New Service and Repackaging test was getting failed.
-	    Observed error popup , when try to start the service from services (startup random crash)
-       While trying to uninstall driver from control panel Observed error message
### Changed
-	Uninstall.exe manual execution is removed , it should be executed from setup.exe

##  [10.0.xxxxx.132] - 2020-02-03
### Fixed
-   Fix for HSD [ADL-S][VP] Enabling USB3.DbC on VP (Host and Target - Windows)
-   SDL Task Fixes: CT190: OO Consider permissions inheritance when creating objects for RedirectDervice
-   CT177/CT180: input parameter checking for ITH driver/RedirectService
-   CT185: Implement full error and exception handling for ITH driver/RedirectService
-   T217: Use compiler settings to mitigate buffer overflows

##  [10.0.xxxxx.119] - 2019-12-05
### Added
-   ITH driver integrated for CML-S with CMP-V platform.
-   ITH driver integrated for Alder-lake platform.
### Fixed
-   SDL Task Fixes: CT39: Complete Static Code Analysis
-   CT195 Validate address in IOCTL handlers
-	CT164: Protect executable against DLL and/or EXE hijacking
-	T288 : Prevent unauthorized access to information through XML external references
-	T55-Validate all XML input

##  [10.0.xxxxx.90] - 2019-07-30
### Fixed
-   Infverifier issue fixed for WCOS Complaint.
-   ApiValidator error fixed for Uninstaller ,Redirectservice and ITH driver.

##  [62169] - 2019-02-13
### Fixed
-   ProteCode Scan issue fixed by replacing libxml2.dll version with latest 2.9.9

##  [62168] - 2019-01-02
### Fixed
-   Klocwork issues fixed for installer.
-   Driver version and date is updated.

##  [62167] - 2018-12-24
### Added
-   Unit Testing Code added for few modules
-   Pushed Latest SDK_Imports headers and binaries from Northpeak-sdk to MASTER

##  [62166] - 2018-08-24
### Added
-   S0 Idle Chaneges added in ITH Driver

##  [62165] - 2018-08-02
### Fixed
-   W4 Warnings resolved
-   Klockwork Warnings resolved
-   RedirectService Crash issue in Simics environment resolved
-   ITHUninstall.exe added as part of the package for proper uninstallation
### Changed
-   NPKServiceTest code modified to support Simics validation

##  [62165] - 2018-06-06
### Fixed
-   Dependent dll issue resolved with the new release.
-   Symchk issue resolved
-   62164 Version of NPK driver is validated with PVT/ITPII 1819
-   For ICL, Please use B0/B1 HW Stepping. A0/A1, tool is not working (known issue)

##  [62163] - 2018-04-02
### Added
-   libxml dll updated to build having symbols
-   Created build option for pre-si check-in wherein the local IP security check is 
    turned off.

##  [62162] - 2018-03-02
### Fixed
-   Removed CPU ACPI device id from INF file as there is still an issue with this.
-   The changes from Version 62160 will work only with PVT release 1815 or higher

##  [62161] - 2018-02-27
### Added
-   TGL ITH PCI device id to INF file(Support for TGL Platform)
### Fixed
-   Fixed all critical and error level klocwork issues.

##  [62160] - 2017-12-25
### Fixed
-   Universal driver and service with API validator valdiated
-   Removed all .net dependency

##  [62159] - 2017-11-22
### Added
-   WDK 16299 - Built with latest WDK/SDK version 16299 for RS3.
-   Service - Service will install from inf file. Uninstallation needs to be manually.
### Changed
-   Host and target should be connected directly using LAN/Ethernet cable for service to run and work.
    If you connect target to lab network then service won't start. This is security requirement added.
-   Coinstaller - Removed ITH coinstaller from the release package, which support DHC.
-   Updated project references and driver INF to exclude co installer, added service installation as part of inf file.

##  [62155] - 2016-12-06
### Added
-   WDK10 - Added support for WDK-14393 (Win10-RS1)
-   Added Win10Release and Win10Debug Build Configurations to all builds
-   Win7/8/8.1 to be built using WDK-9600 and Win10 to be build using WDK-14393
-   Updated VC Redist-2013 to latest version 30501
-   Added VC Redist-2015 for Win10 Releases
-   Updated build scripts and Teamcity projects
-   Driver - Added support for ICL
-   Added device ID changes for ICL-PCH side ITH
-   Seperate builds now for Win7, Win8/8.1 and Win10.

##  [62154] - 2016-11-15
### Added
-   [BugFix] Add Redirect Service Config file to the release package
-   HSD: 1405404168 - Problem seen when ITH package is OS-injected and ITH device is disabled in BIOS on KBL.
-   Redirect Service config file is extracted and copied when IthCoinstaller executes.
-   However, as ITH is disabled from BIOS, the config file is not copied and on platform reboot, service attempts to auto-start.
-   Provided a fix so that config file will be present in the release package itself; dependency on the co-installer is now removed.
-   Updated the INF files to copy the service config file to appropriate location
-   Disabled extract and copy service config file from co-installer.

##  [62153] - 2016-10-24
### Added
-   Driver - Add patch for GLK Resource Conflict Yellow Bang issue
-   YB is seen using 62151 from GLK PO on RVP1 board
-   Found IRQ resource conflict on the IRQ which was BIOS-assigned
-   Filtering out the IRQ resource req. from the driver list as it is not used
-   Also, seeing duplicate BAR resources being added into the resource req list.
-   Removing the duplicate BAR resources as well in this version

##  [62152] - 2016-10-24
### Added
-   Driver - Added Function Stubs for ITH Extended Interface
-   Added ITH driver and client Discovery handling
-   Added handling of FetchAvailableMasterChannel API
-   Added stubs for WriteTraceData API and AllocateMasterChannel API
-   Unregister and Free Master/Channel yet to be added

##  [62151] - 2016-07-20
### Added
-   Driver - Added support for GLK - GeminiLake
-       Device ID - 0x318E added. Added support for IP version 2.1.
-   Driver - HSD - 1604172809 - Fix added for CSR Register read/writes
-       0xF_FFFC location was not being read by driver. Fixed this.
-   Driver - Trace memory read IOCTL
-       Limited the maximum allowed read buffer size for CSR mode memory to be 4 KB only.
-   Driver - INF Fixes:
-       driverquery.exe tool was showing incorrect driver name. Fixed this by updating INF
-       Incorrect parameter EventMessageFileName used for ETW Manifest registration.
-   Driver - ETW Manifest
-       Updated ETW Manifest file to include new keywords and update corresponding events.
-   Test Automation - Updated the NPK Wrapper DLL
-   Test - Updated ITHTestProvider to provide new features
-       Added 5 event keywords
-       Supports sending random ETW event messages with different keywords and trace levels

##  [62150] - 2016-04-28
### Fixed
-   Driver - HSD - 1604152825 - Fix added for WHCK Hypervisor Code Integrity Readiness Test failure
-       Found this to be a problem with memory allocation being done using NonPagedPool.
-       Starting from Win10, if memory is allocated only for data storage, it should be defined as NonPagedPoolNx.
-       Added Pre-processor directive POOL_NX_OPTIN_AUTO to take care of Win 7 also.
-   Driver Uninstall - HSD - 1604152260 - Win 7 was not doing a clean driver uninstall
-       Driver package was not getting deleted from the driver store
-       Modified the ITHUninstall code flow to search for the driver package using SetupApis
        and not depend on Registry Keys. Tested for Win 7, Win 8.1 and Win 10.

##  [62149] - 2016-04-15
### Added
-   Driver - Add new Memory Query IOCTL
-       Tools and user applications cannot know if there is memory already allocated by driver
-       Also, they cannot fetch the configuration of the memory that is allocated
-       Adding this IOCTL will allow them to now retrieve the current memory configuration.
-       Physical addresses of the memory blocks are also made visible for fetching data
-   Driver - Add device ID 0xA2A6 for BasinFalls HEDT platform
-   TestTools - Driver test application changed for the new Memory Query IOCTL
-       Also added log to file feature when this tool is ran under Utility mode
-       Validation team had requirement to run this tool as a utility and not as test suite
-       Logging will allow to view and reproduce issues easily.
-   TestTools - NPKLib shared library modified to provide interface for the MemoryQuery IOCTL
-       Added debug prints to verify the parameters that are passed to the NPKLib
-   TestToolsAutomation - Added source code for NPKWrapper DLL
-       This DLL is used by automation team as an interface between NPKLib DLL and Python scripts
### Fixed
-   Driver - Fix HSD 1604107249. CSR Read or Write Reg more than 1 MB results into BSOD
-       CSR register space read/writes have to be restricted to 1 MB
-       Read or Write register beyond 1 MB was not allowed but there was a corner test case which was causing the BSOD
-       Fixed this by putting conditional check on the offset and the size of the operation.
### Changed
-   Service - Remove unused parameter providerList which maintains list of all ETW providers
-       This list was populated when service will be started up.
-       This used to result into delay of service startup time.
-       Ran few tests to check that this parameter is not used by any other linked modules.
-       Removed this parameter for faster service loading

##  [62149] - 2016-02-05
### Fixed
-   Fix Protex IP Scan errors
-   Had code matches for open source licenses in ITHCoinstaller and ITHUninstaller
-   Issues present in code related to deleting registry keys and stopping service

##  [62147] - 2016-01-29
### Removed
-   Removed support for ITH Config from Redirect Service
-       ITH SDK binaries and their symbols will not be a part of the release package
-       No component except ITH TargetApp was using this functionality.
-       ITH SDK binaries are in MSVC 2012 while all other binaries are in MSVC 2013
-       Updated ITHMaster solution and RedirectService projects
-       Updated coinstaller to not install VC Redist 2012
-       Updated INF to remove references to ITH SDK binaries.
### Added
-   Add support for ITH IP version 2.0
-       Added register definitions for 2.0
-       Updated device INFs to include device IDs for CNL
-       Modified INF files to have naming as ITHv1p0, v1p1 instead of SKL, BXT
-       Added a RegKey ITHVersion which is used to determine ITH IP HW version
-       Commented IOCTLs not being used.
### Changed
-   Updated source code copyright headers to extend till 2016
-   Change some externally visible naming references from NPK to ITH
-   Driver - Disable interrupt processing
-       Legacy interrupt was being configured to use during MEM tracing
-       Found a problem during PO that when driver was present, it was blocking MSCEN bit to be set
-       DPC was clearing the MSCEN bit even when it was being enabled by other tools
-       Disabled interrupts as they are not used at all.  

##  [62146] - 2015-12-22
### Added
-   Added support for BXTM-B1 silicon - Device ID = 0x1A8E

##  [62145] - 2015-12-04
### Fixed
-   Reverted changes from release 62144 as there was a stack corruption issue seen
    when binaries built with WDK_10240.
-   ITH-Coinstaller will install the MS VC Redistributable 2012 and 2013.
-   Fixed a few KW critical issues.
-   Update ITH SDK imports to latest versions

##  [62144] - 2015-11-23
### Added
-   Moved entire build environment and binaries to BuildLab_10240
-   All binaries require MS VC 2015 runtime libs
-   Service is now targeted for .NET 4.6
-   ITH-Coinstaller will install the MS VC Redistributable 2012 and 2015.
-   Update ITH SDK imports to latest versions
### Fixed
-   Fixed a few KW critical issues.

##  [62143] - 2015-10-20
### Added
-   Service- Added version determining APIs for checking service/driver API version
			Helps in synchronizing with the host-side software components and choose the
			functionality accordingly.
			Updated service INF file to assist in deploying only service for testing.
-   NPKServiceTestApp - Updated service reference as service operations had changed.
-   NPK_test - Minor fix to read headers utility as prints were not coming properly
### Fixed
-   TargetApp - Bug fixes
			HSD-ES-1604024624-ITH Config Window does not disable destination group box
			HSD-ES-1604024625-Adding multiple providers in different sets crashes the app
			HSD-ES-1604024626-Calculator logs were not coming. Was a problem with the way keywords were being handled.
			Updated service reference as service operations had changed.

##  [62142] - 2015-09-09
### Added
-   BXT B0 stepping - Add device ID 0x1A80 to the driver INFs
### Fixed
-   Service - Moving TDH Parsing from Host side to Target Service side.
	    This removes TDH dependency from NPK SDK.
	    NPK ETW trace decoding on Non-Windows hosts is now supported
-   Build - Service dependency dlls will be packed together by a post-build step
		Coinstaller output path changed to bring it in line with other projects
-   Driver - Fix CSR Memory  allocation and CSR Read IOCTLs when trace data wrapping occurs
		Minor fixes to MWM MemAlloc IOCTL and MemFree IOCTL.
		BIOS pre-allocated memory will be saved by the driver during D0Entry itself.
-   Driver Test App - Updated the test app to perform automated pre-release testing.
-   Target App - Fix HSDs reported from v0.1
		HSD-ES-1603999742, HSD-ES-1603999852, 
		HSD-ES-1603999859, HSD-ES-1603999873,
		HSD-ES-1603999879, HSD-ES-1603999885.				
-   Target App - v0.2 Release. 
		Added MEM0/1 Configuration boxes for selecting numWindows and MemSize/WinSizes.
		Added PTI Configuration support as a trace destination.

##  [62141] - 2015-08-03
### Added
-   APL(BXTP) - Add device ID 0x5A8E to the driver INFs
-   Uninstall - Add copyright header information
-   Target App - Added Windows Metro UI based Target App
-   Service - Split into ETWConfig and ITHConfig. Uses TargetConfig and TracehubConfig DLLs from NPK SDK
-   Added SDK_Imports and Boost_imports
-   Added platformConfig files as part of Target App Installation
-   Added msvcp-  .dll files for Service. Updated Driver INFs for the installation
-   Configured Teamcity Build project to package the NPK SDK Dlls

##  [62140] - 2015-07-20
### Fixed
-   Fix HSD-ES 1206575180: Not able to shutdown on BXT platform when ITH driver was installed
-   Fix HSD-ES 1011090119: Not able to uninstall ITH driver from device manager

##  [62139] - 2015-07-16
### Fixed
-   Fix Klocwork Static Code Analysis issues
-   Service: Add asynchronous calls to Service startup in order to reduce boot up time
-   Fix HSD 5661547: WHLK - Add versioning information to INF and all release binaries

##  [62138] - 2015-06-09
### Fixed
-   Driver: Add IOCTLs to driver for compliance with TargetConfig API
-   Driver: Provided IOCTLs for Reg Rd/Wr, PCI Rd/Wr, Allocate/Free/Read Memory
-   Driver: Fix WHQL Issues. All issues are fixed now except PCI Subsystem ID check.
-   TestTools: Update the Test Tools for changes in the Driver
-   TestTools: Provide a new ITHTestProvider tool to periodically generate ETW events
-   TestTools: Generate an installer package to deploy all testing tools to be used by validation teams
-   Package: Added DPInst files for Win7 Packages

##  [62137] - 2015-05-07
### Added
-   INF: Intel-TraceHub Driver Manifest gets installed using INF
-   INF: Uninstall.exe is now copied inside IntelRedirectService folder
-   INF: Fixed the Security Permissions for BA and SY
-   INF: Change RedirectSvc display name
-   INF: Fix an issue with StampINF which was not giving timestamped INFs
-   Coinstaller: Changes due to Service name and Uninstaller location
-   Coinstaller: Statically linked with the VS runtime libs due to issues on Win10
-   Uninstall: Changes due to Service name and Uninstaller location
-   Driver: Modify the Driver proj filter file
-   Logs: Add Bat.log
-   Logs: Split ReleaseNotes.txt into Release_Notes_Win7.txt and Release_Notes_Win8.1.txt

##  [62136] - 2015-04-24
### Fixed
-   Fix 'FON' issue - Driver was setting FON bit during D0Entry which was preventing platform from entering into sleep mode

##  [62135] - 2015-03-20
### Fixed
-   Fix WHQL Issues
-   Provide a single package installer
### BKMs/Notes  
-   SKL Test Setup:
    Platform Configuration
    ######################
    SKL A|O RVP 10 CRB DT
    OS		: Win8.1U.9600.16608.X64FRE
    BIOS		: SKL_DT_RVP10_Preprod_SATA_NOPTT_CONS_SKLX066_00_ME_11.0_Consumer_11.0.0.1094.bin
    KSC		: 1.01
    LPSS		: 30.63.1447.04
    Chip Set	: 10.0.23
    GFX Driver	: 28381
    BIOS Settings->Intel Advanced Menu->PCH-IO Configuration->TraceHub Configuration Menu->TraceHub Enable Mode SELECT <Host Debugger> Save Settings

##  [59877] - 2015-03-11
### Fixed
-   Naming Changes: All externally viewable references changed from NPK to ITH.
-   Added a fix for OS crash issue seen in BXT. SW Master End was hard-coded for SPT.
    Now, the End is now read form a Registry Key which will hold seperate values for
    SPT and BXT
-   Changes made in INF files for Win7 and Win8/8.1 releases.
    Win8/8.1 releases should not contain the WdfCoinstaller.
### BKMs/Notes    
-   SKL Test Setup:
    Platform Configuration
    ######################
    SKL A|O RVP 10 CRB DT
    OS		: Win8.1U.9600.16608.X64FRE
    BIOS		: SKL_DT_RVP10_Preprod_SATA_NOPTT_CONS_SKLX066_00_ME_11.0_Consumer_11.0.0.1094.bin
    KSC		: 1.01
    LPSS		: 30.63.1447.04
    Chip Set	: 10.0.23
    GFX Driver	: 28381
-   BIOS Settings->Intel Advanced Menu->PCH-IO Configuration->TraceHub Configuration Menu->TraceHub Enable Mode SELECT <Host Debugger> Save Settings

##  [59876] - 2014-12-11
### Fixed
-   Removed TCP authorization and made service default port = 20950
-   RedirectService: Removed TCP authorization and default port changed to 20950; Port number read on each successive starts
-   RedirectServiceTest: Removed TCP authorization and port changed to 20950
-   Native TCP Client: Replace auto-generated wsdl and xsd files due to removal of TCP authorization; changed port to 20950
-   RedirectService UI Test App: Removed TCP Authorization; Reading the port value from Registry
-   JNI ServiceProxy: Change in names of the Core ETW Plugin classes.
### BKMs/Notes
-   SKL Test Setup:
    Platform Configuration
    ######################
    SKL A|O RVP 10 CRB DT
    OS		: Win8.1U.9600.16608.X64FRE
    BIOS		: SKL_DT_RVP10_Preprod_SATA_NOPTT_CONS_SKLX061_00_ME_11.0_Consumer_11.0.0.1094.bin
    KSC		: 1.01
    LPSS		: 30.63.1447.04
    Chip Set	: 10.0.23
    GFX Driver	: 28381
-   BIOS Settings->Intel Advanced Menu->PCH-IO Configuration->TraceHub Configuration Menu->TraceHub Enable Mode SELECT <Host Debugger> Save Settings
-   disable RC6 renderstandby

### License Agreement:
    ============================================
    INTERNAL USE SOFTWARE LICENSE AGREEMENT
    DO NOT DOWNLOAD, INSTALL, ACCESS, COPY, OR USE ANY PORTION OF THE SOFTWARE UNTIL YOU HAVE READ AND ACCEPTED THE TERMS AND
    CONDITIONS OF THIS AGREEMENT. BY INSTALLING, COPYING, ACCESSING, OR USING THE SOFTWARE, YOU AGREE TO BE LEGALLY BOUND BY THE
    TERMS AND CONDITIONS OF THIS AGREEMENT. If You do not agree to be bound by, or the entity for whose benefit You act has not authorized You to
    accept, these terms and conditions, do not install, access, copy, or use the Software and destroy all copies of the Software in Your possession.
    This SOFTWARE LICENSE AGREEMENT (this "Agreement") is entered into between Intel Corporation, a Delaware corporation ("Intel") and You. "You" refers
    to you or your employer or other entity for whose benefit you act, as applicable. If you are agreeing to the terms and conditions of this Agreement on behalf
    of a company or other legal entity, you represent and warrant that you have the legal authority to bind that legal entity to the Agreement, in which case,
    "You" or "Your" shall be in reference to such entity. Intel and You are referred to herein individually as a "Party" or, together, as the "Parties".
    The Parties, in consideration of the mutual covenants contained in this Agreement, and for other good and valuable consideration, the receipt and
    sufficiency of which they acknowledge, and intending to be legally bound, agree as follows:
    1. PURPOSE. You seek to obtain, and Intel desires to provide You, under the terms of this Agreement, Software solely for Your internal efforts to develop
    or to test and evaluate products integrating Intel hardware and Intel software. "Software" refers to certain software or other collateral, including, but not
    limited to, related components, operating system, application program interfaces, device drivers, associated media, printed or electronic documentation
    and any updates or releases thereto associated with Intel product(s), software or service(s). "Intel-based product" refers to a device that includes,
    incorporates, or implements Intel product(s), software or service(s).
    2. LIMITED LICENSE. Conditioned on Your compliance with the terms and conditions of this Agreement, Intel grants to You a limited, nonexclusive,
    nontransferable, revocable, worldwide, fully paid-up license during the term of this Agreement, without the right to sublicense, under Intels copyrights
    (subject to any third party licensing requirements), in each case solely within Your premises and only for Your internal demonstration, evaluation, testing,
    validation, and development of Your Intel-based products, to (i) prepare derivative works (as defined in 17 U.S.C. Section 101 et seq.) of the Software
    ("Derivatives"), if provided or otherwise made available by Intel in source code form, and reproduce the Software, including Derivatives; (ii) display and
    perform an object code representation of the Software including Your Derivatives to Your customers or partners, with a need to know, only for
    demonstration and when integrated with and executed by Your Intel-based product or Intel hardware provided by Intel and subject to Your customers or
    partners entering a written confidentiality agreement in accordance with Section 7 (Confidentiality) herein; and (iii) have the rights in subparts (i) and (ii)
    performed by contractors working on Your behalf or at Your behest, provided that You remain fully liable to Intel for the actions and inactions of those
    contractors.
    3. LICENSE RESTRICTIONS. All right, title and interest in and to the Software and associated documentation are and will remain the exclusive property of
    Intel and its licensors or suppliers. Unless expressly permitted under the Agreement, You will not, and will not allow any third party to (i) use, copy, distribute,
    sell or offer to sell the Software or associated documentation; (ii) modify, adapt, enhance, disassemble, decompile, reverse engineer, change or create
    derivative works from the Software except and only to the extent as specifically required by mandatory applicable laws or any applicable third party license
    terms accompanying the Software; (iii) use or make the Software available for the use or benefit of third parties; (iv) use the Software on Your products
    other than those that include the Intel silicon product(s), platform(s), or software identified in the Software; or (v) publish or provide any Software benchmark
    or comparison test results. You acknowledge that an essential basis of the bargain in this Agreement is that Intel grants You no licenses or other rights
    including, but not limited to, patent, copyright, trade secret, trademark, trade name, service mark or other intellectual property licenses or rights with
    respect to the Software and associated documentation, by implication, estoppel or otherwise, except for the licenses expressly granted above. You
    acknowledge there are significant uses of the Software in its original, unmodified and uncombined form. You may not remove any copyright notices from
    the Software.
    4. LICENSE TO FEEDBACK. This Agreement does not obligate You to provide Intel with materials, information, comments, suggestions, Your Derivatives or
    other communication regarding the features, functions, performance or use of the Software ("Feedback"). If any portion of the Software is provided or
    otherwise made available by Intel in source code form, to the extent You provide Intel with Feedback in a tangible form, You grant to Intel and its affiliates
    a non-exclusive, perpetual, sublicenseable, irrevocable, worldwide, royalty-free, fully paid-up and transferable license, to and under all of Your intellectual
    property rights, whether perfected or not, to publicly perform, publicly display, reproduce, use, make, have made, sell, offer for sale, distribute, import, create
    derivative works of and otherwise exploit any comments, suggestions, descriptions, ideas or other feedback regarding the Software provided by You or on Your
    behalf.
    5. OPEN SOURCE STATEMENT. The Software may include Open Source Software (OSS) licensed pursuant to OSS license agreement(s) identified in the
    OSS comments in the applicable source code file(s) and/or file header(s) provided with or otherwise associated with the Software. Neither You nor any
    Original Equipment Manufacturing, Original Device Manufacturing, customer, or distributor may subject any proprietary portion of the Software to any OSS
    license obligations including, without limitation, combining or distributing the Software with OSS in a manner that subjects Intel, the Software or any portion
    thereof to any OSS license obligation. Nothing in this Agreement limits any rights under, or grants rights that supersede, the terms of any applicable OSS
    license.
    6. THIRD PARTY SOFTWARE. Certain third party software provided with or within the Software may only be used (a) upon securing a license directly from
    the software owner or (b) in combination with hardware components purchased from such third party and (c) subject to further license limitations by the
    software owner. A listing of any such third party limitations is in one or more text files accompanying the Software. You acknowledge Intel is not providing
    You with a license to such third party software and further that it is Your responsibility to obtain appropriate licenses from such third parties directly.
    7. CONFIDENTIALITY. The terms and conditions of this Agreement, exchanged confidential information, as well as the Software are subject to the terms
    and conditions of the Non-Disclosure Agreement(s) and/or Intel Pre-Release Loan Agreement(s) (referred to herein collectively or individually as "NDA")
    entered into by and in force between Intel and You, and in any case no less confidentiality protection than You apply to Your information of similar
    sensitivity. If You would like to have a contractor perform work on Your behalf that requires any access to or use of Software, You must obtain a written
    confidentiality agreement from the contractor which contains terms and conditions with respect to access to or use of Software no less restrictive than
    those set forth in this Agreement, excluding any distribution rights and use for any other purpose, and You will remain fully liable to Intel for the actions
    and inactions of those contractors. You may not use Intel's name in any publications, advertisements, or other announcements without Intel's prior written
    consent.Intel Confidential Information 10.24.2016
    8. NO OBLIGATION; NO AGENCY. Intel may make changes to the Software, or items referenced therein, at any time without notice. Intel is not obligated to
    support, update, provide training for, or develop any further version of the Software or to grant any license thereto. No agency, franchise, partnership, jointventure, or employee-    employer relationship is intended or created by this Agreement.
    9. EXCLUSION OF WARRANTIES. THE SOFTWARE IS PROVIDED "AS IS" WITHOUT ANY EXPRESS OR IMPLIED WARRANTY OF ANY KIND INCLUDING
    WARRANTIES OF MERCHANTABILITY, NONINFRINGEMENT, OR FITNESS FOR A PARTICULAR PURPOSE. Intel does not warrant or assume responsibility
    for the accuracy or completeness of any information, text, graphics, links or other items within the Software.
    10. LIMITATION OF LIABILITY. IN NO EVENT WILL INTEL OR ITS AFFILIATES, LICENSORS OR SUPPLIERS (INCLUDING THEIR RESPECTIVE DIRECTORS,
    OFFICERS, EMPLOYEES, AND AGENTS) BE LIABLE FOR ANY DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, LOST PROFITS, BUSINESS
    INTERRUPTION, OR LOST DATA) ARISING OUT OF OR IN RELATION TO THIS AGREEMENT, INCLUDING THE USE OF OR INABILITY TO USE THE SOFTWARE,
    EVEN IF INTEL HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. SOME JURISDICTIONS PROHIBIT EXCLUSION OR LIMITATION OF LIABILITY
    FOR IMPLIED WARRANTIES OR CONSEQUENTIAL OR INCIDENTAL DAMAGES, SO THE ABOVE LIMITATION MAY IN PART NOT APPLY TO YOU. THE
    SOFTWARE LICENSED HEREUNDER IS NOT DESIGNED OR INTENDED FOR USE IN ANY MEDICAL, LIFE SAVING OR LIFE SUSTAINING SYSTEMS,
    TRANSPORTATION SYSTEMS, NUCLEAR SYSTEMS, OR FOR ANY OTHER MISSION CRITICAL APPLICATION IN WHICH THE FAILURE OF THE SOFTWARE
    COULD LEAD TO PERSONAL INJURY OR DEATH. YOU MAY ALSO HAVE OTHER LEGAL RIGHTS THAT VARY FROM JURISDICTION TO JURISDICTION. THE
    LIMITED REMEDIES, WARRANTY DISCLAIMER AND LIMITED LIABILITY ARE FUNDAMENTAL ELEMENTS OF THE BASIS OF THE BARGAIN BETWEEN INTEL
    AND YOU. YOU ACKNOWLEDGE INTEL WOULD BE UNABLE TO PROVIDE THE SOFTWARE WITHOUT SUCH LIMITATIONS.
    11. TERMINATION AND SURVIVAL. Intel may terminate this Agreement for any reason with thirty (30) days notice and immediately if You or someone
    acting on Your behalf or at Your behest violates any of its terms or conditions. Upon termination, You will immediately destroy and ensure the destruction
    of the Software or return all copies of the Software to Intel (including providing certification of such destruction or return back to Intel). Upon termination
    of this Agreement, all licenses granted to You hereunder terminate immediately. All Sections of this Agreement, except Section 2, will survive termination.
    12. GOVERNING LAW AND JURISDICTION. This Agreement and any dispute arising out of or relating to it will be governed by the laws of the U.S.A. and
    Delaware, without regard to conflict of laws principles. The Parties exclude the application of the United Nations Convention on Contracts for the
    International Sale of Goods (1980). The state and federal courts sitting in Delaware, U.S.A. will have exclusive jurisdiction over any dispute arising out of or
    relating to this Agreement. The Parties consent to personal jurisdiction and venue in those courts. A Party that obtains a judgment against the other Party
    in the courts identified in this section may enforce that judgment in any court that has jurisdiction over the Parties.
    13. EXPORT REGULATIONS/EXPORT CONTROL. You agree that neither You nor Your subsidiaries will export/re-export the Software, directly or indirectly,
    to any country for which the U.S. Department of Commerce or any other agency or department of the U.S. Government or the foreign government from
    where it is shipping requires an export license, or other governmental approval, without first obtaining any such required license or approval. In the event
    the Software is exported from the U.S.A. or re-exported from a foreign destination by You or Your subsidiary, You will ensure that the distribution and
    export/re-export or import of the Software complies with all laws, regulations, orders, or other restrictions of the U.S. Export Administration Regulations
    and the appropriate foreign government.
    14. GOVERNMENT RESTRICTED RIGHTS. The Software is a commercial item (as defined in 48 C.F.R. 2.101) consisting of commercial computer software
    and commercial computer software documentation (as those terms are used in 48 C.F.R. 12.212). Consistent with 48 C.F.R. 12.212 and 48 C.F.R 227.7202-
    1 through 227.7202-4, You will not provide the Software to the U.S. Government. Contractor or Manufacturer is Intel Corporation, 2200 Mission College
    Blvd., Santa Clara, CA 95054.
    15. ASSIGNMENT. You may not delegate, assign or transfer this Agreement, the license(s) granted or any of Your rights or duties hereunder, expressly, by
    implication, by operation of law, or otherwise and any attempt to do so, without Intels express prior written consent, will be null and void. Intel may assign,
    delegate and transfer this Agreement, and its rights and obligations hereunder, in its sole discretion.
    16. ENTIRE AGREEMENT; SEVERABILITY. The terms and conditions of this Agreement and any NDA with Intel constitute the entire agreement between the
    Parties with respect to the subject matter hereof, and merge and supersede all prior or contemporaneous agreements, understandings, negotiations and
    discussions. Neither Party will be bound by any terms, conditions, definitions, warranties, understandings, or representations with respect to the subject
    matter hereof other than as expressly provided herein. In the event any provision of this Agreement is unenforceable or invalid under any applicable law
    or applicable court decision, such unenforceability or invalidity will not render this Agreement unenforceable or invalid as a whole, instead such provision
    will be changed and interpreted so as to best accomplish the objectives of such provision within legal limits.
    17. WAIVER. The failure of a Party to require performance by the other Party of any provision hereof will not affect the full right to require such performance
    at any time thereafter; nor will waiver by a Party of a breach of any provision hereof constitute a waiver of the provision itself.
    18. PRIVACY. YOUR PRIVACY RIGHTS ARE SET FORTH IN INTELS PRIVACY NOTICE, WHICH FORMS A PART OF THIS AGREEMENT. PLEASE REVIEW THE
    PRIVACY NOTICE AT HTTP://WWW.INTEL.COM/PRIVACY TO LEARN HOW INTEL COLLECTS, USES AND SHARES INFORMATION ABOUT YOU.

    ***********************************************************************************************************************************************************************************
    *Third-party brands and names are the property of their respective owners.

### Third Party softwares and License:
    ============================================
    JQuery - [MIT License] https://jquery.org/license/
    AngularJS - [MIT License] https://github.com/angular/angular.js/blob/master/LICENSE 
    libxml2 -[MIT License] http://xmlsoft.org/FAQ.html 
